List ship from addresses
GET
/ship-from
const url = 'https://shipjay.com/api/v1/ship-from';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://shipjay.com/api/v1/ship-from \ --header 'Authorization: Bearer <token>'The addresses this account ships from. Pass one id as from_address_id when you get rates.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success.
Media typeapplication/json
object
data
required
Array<object>
object
id
required
Use this as from_address_id when you get rates.
string
nickname
required
string | null
name
required
string | null
company
required
string | null
street1
required
string
street2
required
string | null
city
required
string
state
required
string
zip
required
string
country
required
string
phone
required
string | null
is_default
required
boolean
use_as_return
required
Return labels ship to this address.
boolean
next_cursor
required
string | null
Example generated
{ "data": [ { "id": "example", "nickname": "example", "name": "example", "company": "example", "street1": "example", "street2": "example", "city": "example", "state": "example", "zip": "example", "country": "example", "phone": "example", "is_default": true, "use_as_return": true } ], "next_cursor": "example"}Missing or invalid API key.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
object
key
additional properties
any
request_id
required
string
Example
{ "error": { "code": "validation" }}The key lacks the required permission, or the account is suspended.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
object
key
additional properties
any
request_id
required
string
Example
{ "error": { "code": "validation" }}The resource does not exist.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
object
key
additional properties
any
request_id
required
string
Example
{ "error": { "code": "validation" }}The request is not valid. error.details.issues lists the problems.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
object
key
additional properties
any
request_id
required
string
Example
{ "error": { "code": "validation" }}Too many requests. Wait Retry-After seconds.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
object
key
additional properties
any
request_id
required
string
Example
{ "error": { "code": "validation" }}© 2026 Ship Jay. All rights reserved. Created & Developed by WCWS Internet
